#include <glib.h>
#include <stdio.h>
#include "defs.h"
#include <stdlib.h>

#include "config.h"

GString *read_file(GString *filename) {
	FILE *fh;
	gchar *tmp;
	GString *message;
	gint length;
	
	fh = fopen(filename->str,"rb");
	fseek(fh, 0, SEEK_END);
	length = ftell(fh);
	fseek(fh, 0, SEEK_SET);
	tmp = (gchar*)malloc(sizeof(char)*length);
	fread(tmp, length, 1, fh);
	fclose(fh);
	
	message = g_string_new(tmp);
	free(tmp);
	
	return(message);
}

GString *read_pipe() {
	GString *message;
	gchar tmp;
	
	message = g_string_sized_new(INITIAL_PIPE_BUFFER_LENGTH);
	while(fread(&tmp, 1, 1, stdin)) {
		g_string_append_c(message, tmp);
	}
	
	return(message);
}
